JsonValueFormatVisitor.Base
Date: 2016-12-04

com.fasterxml.jackson.databind.jsonFormatVisitors

## Class JsonValueFormatVisitor.Base

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base

- All Implemented Interfaces:
    JsonValueFormatVisitor
  Direct Known Subclasses:
    JsonBooleanFormatVisitor.Base, JsonIntegerFormatVisitor.Base, JsonNumberFormatVisitor.Base, JsonStringFormatVisitor.Base
  Enclosing interface:
    JsonValueFormatVisitor

      public static class JsonValueFormatVisitor.Base
      extends java.lang.Object
      implements JsonValueFormatVisitor

  Default "empty" implementation, useful as the base to start on; especially as it is guaranteed to implement all the method of the interface, even if new methods are getting added.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor

      `JsonValueFormatVisitor.Base`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonValueFormatVisitor.Base()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enumTypes(java.util.Set<java.lang.String> enums)` Method called to indicate enumerated (String) values type being visited can take as values.
    `void` | `format(JsonValueFormat format)` Method called to indicate configured format for value type being visited.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonValueFormatVisitor.Base

          public JsonValueFormatVisitor.Base()

  - ### Method Detail

    - #### format

          public void format(JsonValueFormat format)

      Description copied from interface: `JsonValueFormatVisitor`
      Method called to indicate configured format for value type being visited.
      Specified by:
        `format` in interface `JsonValueFormatVisitor`

    - #### enumTypes

          public void enumTypes(java.util.Set<java.lang.String> enums)

      Description copied from interface: `JsonValueFormatVisitor`
      Method called to indicate enumerated (String) values type being visited can take as values.
      Specified by:
        `enumTypes` in interface `JsonValueFormatVisitor`